﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Text;
using System.Net.Http;
using System.Web.Script.Serialization;

public partial class _Default : System.Web.UI.Page
{
    protected void Submit(object sender, EventArgs e)
    {
        string serviceUrl = "http://localhost:17154/CS/Services/Service.svc";
        object input = new
                        {
                            name = txtName.Text.Trim(),
                            age = txtAge.Text.Trim()
                        };
        string inputJson = (new JavaScriptSerializer()).Serialize(input);
        HttpClient client = new HttpClient();
        HttpContent inputContent = new StringContent(inputJson, Encoding.UTF8, "application/json");
        HttpResponseMessage response = client.PostAsync(serviceUrl + "/GetData", inputContent).Result;
        if (response.IsSuccessStatusCode)
        {
            lblOutput.Text = response.Content.ReadAsStringAsync().Result;
        }
    }
}

