﻿Imports System.Text
Imports System.Net.Http
Imports System.Web.Script.Serialization

Partial Class _Default
    Inherits System.Web.UI.Page
    Protected Sub Submit(sender As Object, e As EventArgs)
        Dim serviceUrl As String = "http://localhost:17157/VB/Services/Service.svc"
        Dim input As Object = New With { _
                        .name = txtName.Text.Trim(), _
                        .age = txtAge.Text.Trim() _
        }
        Dim inputJson As String = (New JavaScriptSerializer()).Serialize(input)
        Dim client As New HttpClient()
        Dim inputContent As HttpContent = New StringContent(inputJson, Encoding.UTF8, "application/json")
        Dim response As HttpResponseMessage = client.PostAsync(serviceUrl & "/GetData", inputContent).Result
        If response.IsSuccessStatusCode Then
            lblOutput.Text = response.Content.ReadAsStringAsync().Result
        End If
    End Sub
End Class
